| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Enumerations | Functions
dvb_chartbl.h File Reference
`#include "ws_symbol_export.h"`
`#include <epan/proto.h>`
`#include <epan/to_str.h>`
`#include <epan/tvbuff.h>`

Go to the source code of this file.

## Enumerations
enum | dvb_encoding_e { DVB_ENCODING_INVALID = -3 , DVB_ENCODING_RESERVED = -2 , DVB_ENCODING_UNKNOWN = -1 , DVB_ENCODING_LATIN = 0 , DVB_ENCODING_ISO_8859_1 , DVB_ENCODING_ISO_8859_2 , DVB_ENCODING_ISO_8859_3 , DVB_ENCODING_ISO_8859_4 , DVB_ENCODING_ISO_8859_5 , DVB_ENCODING_ISO_8859_6 , DVB_ENCODING_ISO_8859_7 , DVB_ENCODING_ISO_8859_8 , DVB_ENCODING_ISO_8859_9 , DVB_ENCODING_ISO_8859_10 , DVB_ENCODING_ISO_8859_11 , DVB_ENCODING_ISO_8859_13 , DVB_ENCODING_ISO_8859_14 , DVB_ENCODING_ISO_8859_15 , DVB_ENCODING_ISO_10646_BMP , DVB_ENCODING_KSX_1001 , DVB_ENCODING_GB_2312 , DVB_ENCODING_ISO_10646_BIG5 , DVB_ENCODING_ISO_10646_UTF8_BMP }
| Character encoding types for DVB Service Information (DVB-SI) text fields. More...

## Functions
WS_DLL_PUBLIC unsigned | dvb_analyze_string_charset (tvbuff_t *tvb, int offset, int length, dvb_encoding_e *encoding)
| Analyzes the character set of a DVB string.
WS_DLL_PUBLIC unsigned | dvb_enc_to_item_enc (dvb_encoding_e encoding)
| Convert DVB encoding to item encoding.
WS_DLL_PUBLIC void | dvb_add_chartbl (proto_tree *tree, int hf, tvbuff_t *tvb, int offset, int length, dvb_encoding_e encoding)
| Adds a character table to the protocol tree.

## Detailed Description

Routines for handling DVB-SI character tables (as defined in EN 300 468)

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Enumeration Type Documentation

## ◆ dvb_encoding_e

enum dvb_encoding_e

Character encoding types for DVB Service Information (DVB-SI) text fields.

Enumerator
DVB_ENCODING_INVALID | Encoding could not be determined due to an invalid length
DVB_ENCODING_RESERVED | Encoding byte is reserved by the DVB-SI specification
DVB_ENCODING_UNKNOWN | Encoding byte is not defined by the DVB-SI specification
DVB_ENCODING_LATIN | Default Latin character table (DVB default encoding)
DVB_ENCODING_ISO_8859_1 | ISO/IEC 8859-1: Latin-1 (Western European)
DVB_ENCODING_ISO_8859_2 | ISO/IEC 8859-2: Latin-2 (Central European)
DVB_ENCODING_ISO_8859_3 | ISO/IEC 8859-3: Latin-3 (South European)
DVB_ENCODING_ISO_8859_4 | ISO/IEC 8859-4: Latin-4 (North European)
DVB_ENCODING_ISO_8859_5 | ISO/IEC 8859-5: Latin/Cyrillic
DVB_ENCODING_ISO_8859_6 | ISO/IEC 8859-6: Latin/Arabic
DVB_ENCODING_ISO_8859_7 | ISO/IEC 8859-7: Latin/Greek
DVB_ENCODING_ISO_8859_8 | ISO/IEC 8859-8: Latin/Hebrew
DVB_ENCODING_ISO_8859_9 | ISO/IEC 8859-9: Latin-5 (Turkish)
DVB_ENCODING_ISO_8859_10 | ISO/IEC 8859-10: Latin-6 (Nordic)
DVB_ENCODING_ISO_8859_11 | ISO/IEC 8859-11: Latin/Thai
DVB_ENCODING_ISO_8859_13 | ISO/IEC 8859-13: Latin-7 (Baltic Rim)
DVB_ENCODING_ISO_8859_14 | ISO/IEC 8859-14: Latin-8 (Celtic)
DVB_ENCODING_ISO_8859_15 | ISO/IEC 8859-15: Latin-9 (Western European with Euro sign)
DVB_ENCODING_ISO_10646_BMP | ISO/IEC 10646 Basic Multilingual Plane (UCS-2 / UTF-16 BMP)
DVB_ENCODING_KSX_1001 | KS X 1001: Korean national standard character set
DVB_ENCODING_GB_2312 | GB 2312: Simplified Chinese national standard character set
DVB_ENCODING_ISO_10646_BIG5 | ISO/IEC 10646 encoded via Big5 (Traditional Chinese)
DVB_ENCODING_ISO_10646_UTF8_BMP | ISO/IEC 10646 BMP encoded as UTF-8

## Function Documentation

## ◆ dvb_add_chartbl()

WS_DLL_PUBLIC void dvb_add_chartbl | ( | proto_tree * | tree,
|  | int | hf,
|  | tvbuff_t * | tvb,
|  | int | offset,
|  | int | length,
|  | dvb_encoding_e | encoding )

Adds a character table to the protocol tree.

This function adds a character table to the protocol tree based on the provided parameters.

Parameters

  tree | The protocol tree to which the character table will be added.
  hf | The field ID for the character table.
  tvb | The TV buffer containing the data.
  offset | The offset within the TV buffer where the data starts.
  length | The length of the data in the TV buffer.
  encoding | The encoding type of the character table.

## ◆ dvb_analyze_string_charset()

WS_DLL_PUBLIC unsigned dvb_analyze_string_charset | ( | tvbuff_t * | tvb,
|  | int | offset,
|  | int | length,
|  | dvb_encoding_e * | encoding )

Analyzes the character set of a DVB string.

Determines the encoding of a DVB string based on its first byte and length.

Parameters

  tvb | The TVB buffer containing the DVB data.
  offset | The starting offset within the TVB buffer.
  length | The length of the DVB string to analyze.
  encoding | Pointer to store the detected encoding.

Returns
  Number of bytes processed or 1 if invalid.

## ◆ dvb_enc_to_item_enc()

WS_DLL_PUBLIC unsigned dvb_enc_to_item_enc | ( | dvb_encoding_e | encoding | ) |

Convert DVB encoding to item encoding.

Parameters

  encoding | The DVB encoding to convert.

Returns
  The corresponding item encoding.